Bug 1287762 - icewm-1.4.3 is available
icewm-1.4.3 is available
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: icewm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gilboa Davara
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 10:47 EST by Upstream Release Monitoring
Modified: 2017-08-13 20:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2015-12-02 10:47:25 EST
Latest upstream release: 1.3.11
Current version/release in rawhide: 1.3.8-7.fc23
URL: https://github.com/bbidulock/icewm

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-12-02 10:47:42 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-7jjJMT/icewm.spec
return code:  22
stdout:
Getting http://heanet.dl.sourceforge.net/sourceforge/icewm/icewm-1.3.11.tar.gz to ./icewm-1.3.11.tar.gz
Getting http://lostclus.linux.kiev.ua/scripts/icewm-xdg-menu to ./icewm-xdg-menu

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0   387    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
./icewm-xdg-menu already exists, skipping download
Comment 2 Upstream Release Monitoring 2015-12-17 19:27:05 EST
Latest upstream release: 1.3.12
Current version/release in rawhide: 1.3.8-9.fc24
URL: https://github.com/bbidulock/icewm

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 3 Upstream Release Monitoring 2015-12-17 19:27:58 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-36Lm36/icewm.spec
return code:  22
stdout:
Getting http://heanet.dl.sourceforge.net/sourceforge/icewm/icewm-1.3.12.tar.gz to ./icewm-1.3.12.tar.gz
Getting http://lostclus.linux.kiev.ua/scripts/icewm-xdg-menu to ./icewm-xdg-menu

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0   387    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
./icewm-xdg-menu already exists, skipping download
Comment 4 Gilboa Davara 2015-12-20 04:01:35 EST
Working on it.

- Gilboa
Comment 5 mastaiza 2015-12-20 20:52:50 EST
like updates from github
Comment 6 mastaiza 2016-01-03 14:20:05 EST
(In reply to Gilboa Davara from comment #4)
> Working on it.
> 
> - Gilboa

wait in fedora 24
Comment 7 Gilboa Davara 2016-03-30 04:15:18 EDT
I have a semi-working build, but at least as far as I can see, non of the major distro use this unofficial fork.
Plus, at least as far as I can see, there are no open issues with 1.3.8.

Not sure that its worth it.

- Gilboa
Comment 8 mastaiza 2016-03-30 09:49:31 EDT
in the new releases a lot . I'd like to try .

sorry for English
Comment 9 Gilboa Davara 2016-04-04 02:15:27 EDT
Does it solve any issues with the existing version?
I have no problems back porting fixes.

- Gilboa
Comment 10 mastaiza 2017-01-08 13:21:56 EST
(In reply to Gilboa Davara from comment #9)
> Does it solve any issues with the existing version?
> I have no problems back porting fixes.
> 
> - Gilboa

I can't understand your question
Comment 11 Gilboa Davara 2017-01-10 03:07:21 EST
(In reply to mastaiza from comment #10)
> (In reply to Gilboa Davara from comment #9)
> > Does it solve any issues with the existing version?
> > I have no problems back porting fixes.
> > 
> > - Gilboa
> 
> I can't understand your question

1.3.12 is an unofficial fork.
I rather keep the official icewm release and take changes (backport) from the unofficial port, as opposed to taking the unofficial port as a single package.

What are you missing in the current version?

- Gilboa
Comment 12 mastaiza 2017-01-10 08:46:44 EST
> What are you missing in the current version?
> 
> - Gilboa

HI
to be able to change the size of the panel
Comment 13 Account closed by the user 2017-02-03 17:15:57 EST
(In reply to Gilboa Davara from comment #11)

> 1.3.12 is an unofficial fork.
> I rather keep the official icewm release and take changes (backport) from
> the unofficial port, as opposed to taking the unofficial port as a single
> package.

SourceForge repo is dead, last commit was done on Nov-2013.
http://www.icewm.org/ says: Unofficial *but maintained* branch on github.
Comment 14 Upstream Release Monitoring 2017-07-24 20:16:51 EDT
Latest upstream release: 1.4.0
Current version/release in rawhide: 1.3.8-12.fc26
URL: https://github.com/bbidulock/icewm

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1358/
Comment 15 Upstream Release Monitoring 2017-07-24 20:16:55 EDT
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.
Comment 16 Upstream Release Monitoring 2017-07-27 20:16:54 EDT
Latest upstream release: 1.4.1
Current version/release in rawhide: 1.3.8-12.fc26
URL: https://github.com/bbidulock/icewm

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1358/
Comment 17 Upstream Release Monitoring 2017-07-27 20:16:58 EDT
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.
Comment 18 Upstream Release Monitoring 2017-07-30 08:16:57 EDT
Latest upstream release: 1.4.2
Current version/release in rawhide: 1.3.8-12.fc26
URL: https://github.com/bbidulock/icewm

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1358/
Comment 19 Upstream Release Monitoring 2017-07-30 08:17:01 EDT
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.
Comment 20 Gilboa Davara 2017-07-31 02:46:33 EDT
1.3.12 fork wasn't that of an improvement.
Looking at 1.4.2.

- Gilboa
Comment 21 mastaiza 2017-07-31 06:53:01 EDT
(In reply to Gilboa Davara from comment #20)
> 1.3.12 fork wasn't that of an improvement.
> Looking at 1.4.2.
> 
> - Gilboa

wait for the update or not
Comment 22 Upstream Release Monitoring 2017-08-13 20:18:32 EDT
Latest upstream release: 1.4.3
Current version/release in rawhide: 1.3.8-14.fc27
URL: https://github.com/bbidulock/icewm

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1358/
Comment 23 Upstream Release Monitoring 2017-08-13 20:18:38 EDT
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Note You need to log in before you can comment on or make changes to this bug.